%global momorel 1
# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

%global grilo_version 0.3.6
%global gom_version 0.3.2
%global libmediaart_version 1.9.0

Name:		grilo-plugins
Version:	0.3.7
Release: %{momorel}m%{?dist}
Summary:	Plugins for the Grilo framework

Group:		Applications/Multimedia
License:	LGPLv2+
Url:		https://live.gnome.org/Grilo
Source0:	http://ftp.gnome.org/pub/GNOME/sources/grilo-plugins/%{release_version}/grilo-plugins-%{version}.tar.xz
NoSource: 0

BuildRequires:	avahi-gobject-devel
BuildRequires:	grilo-devel >= %{grilo_version}
BuildRequires:	glib2-devel
BuildRequires:	gom-devel >= %{gom_version}
BuildRequires:	libgcrypt-devel
BuildRequires:	libxml2-devel
BuildRequires:	libgdata-devel >= 0.17
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libarchive-devel
BuildRequires:	libmediaart-devel >= %{libmediaart_version}
BuildRequires:	libsoup-devel
#BuildRequires:	lua-devel
BuildRequires:	rest-devel
BuildRequires:	sqlite-devel
BuildRequires:	libgdata-devel
BuildRequires:	totem-pl-parser-devel
BuildRequires:	tracker-devel
BuildRequires:	gmime26-devel
BuildRequires:	libdmapsharing-devel
BuildRequires:	json-glib-devel

Requires:	grilo >= %{grilo_version}

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains plugins to get information from theses sources:
- Apple Trailers
- Bookmarks
- Euronews
- Filesystem
- Flickr
- Freebox
- Gravatar
- iTunes Music Sharing
- Jamendo
- Last.fm (for album arts)
- Local metadata (album arts and thumbnails)
- Metadata Store
- Pocket
- Podcasts
- Radio France
- Shoutcast
- The Guardian Videos
- Tracker
- Vimeo
- Youtube

%prep
%setup -q

%build
%configure				\
	--disable-static		\
	--disable-shoutcast		\
	--enable-apple-trailers		\
	--enable-bookmarks		\
	--enable-dmap			\
	--enable-filesystem		\
	--enable-flickr			\
	--enable-freebox		\
	--enable-gravatar		\
	--enable-jamendo		\
	--enable-lastfm-albumart	\
	--enable-localmetadata		\
	--disable-lua-factory		\
	--enable-metadata-store		\
	--enable-pocket			\
	--enable-podcasts		\
	--enable-tmdb			\
	--enable-tracker		\
	--enable-vimeo			\
	--enable-youtube		\
	--enable-tracker

# Silence unused-direct-shlib-dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make 


%install
make install DESTDIR=%{buildroot}

# Remove files that will not be packaged
rm -f %{buildroot}%{_libdir}/grilo-%{release_version}/*.la
rm -f %{buildroot}%{_bindir}/*

%find_lang grilo-plugins --with-gnome

%files -f grilo-plugins.lang
%doc AUTHORS COPYING NEWS README
%doc %{_datadir}/help/C/examples/example-tmdb.c
%doc %{_datadir}/help/*/%{name}
#%{_datadir}/grilo-plugins/
%{_libdir}/grilo-%{release_version}/*.so*
#%{_libdir}/grilo-%{release_version}/*.xml

%changelog
* Sun Sep 09 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.7-1m)
- update to 0.3.7

* Sun Feb 19 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.4-2m)
- rebuild against libgdata

* Sat Feb 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.4-1m)
- update to 0.3.4

* Sun Feb 22 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.14-1m)
- update to 0.2.14

* Sun Feb 22 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.2.13-2m)
- rebuild against grilo-0.2.12-1m

* Mon Oct 06 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.2.13-1m)
- import from fedora

